Download it now!
Bug 131036 - Add "rename" and "delete" buttons to hatch in Area tab dialog box?
Summary: Add "rename" and "delete" buttons to hatch in Area tab dialog box?
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.3.5.2 release
Hardware: All All
: medium normal
Assignee: sdc.blanco
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on: 131403 131413
Blocks: Area-Fill-Tab
  Show dependency treegraph
 
Reported: 2020-02-29 18:42 UTC by sdc.blanco
Modified: 2020-06-23 11:14 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2020-02-29 18:42:44 UTC
1.  Go to the Area tab (for Shapes and Textboxes)(any module) and use the Hatch option.

2.  Right-click on an instance in the Hatch window.

Actual result:  "Rename" and "Delete" are offered.

Questions for consideration:

1.  Name information is not shown anywhere (e.g., in Navigator). 
(maybe this is leftover from when it was possible to save/load hatches?)

If names cannot be used for anything, then maybe this option should be removed from the context menu?

2.  If "rename" is removed, then seems better to move "Delete" into the dialog box.

3. If "names" are supposed to be useful, then probably some more UI is needed.
Comment 1 sdc.blanco 2020-03-01 00:07:50 UTC
(In reply to sdc.blanco from comment #0)
> 1.  Name information is not shown anywhere (e.g., in Navigator). 
Shown in "Drawing Object Properties" toolbar and in "Properties Sidebar"
Also shown as "tooltip" in "Hatch" window.  (so clearly "rename" is needed)

I assume there is resistance to add "Delete" and "Rename" buttons.

So maybe this is a "documentation" problem? 

https://help.libreoffice.org/7.0/en-US/text/shared/01/05210300.html (gradient)
https://help.libreoffice.org/7.0/en-US/text/shared/01/05210400.html (hatch)
https://help.libreoffice.org/7.0/en-US/text/shared/01/05210500.html (bitmap)
Comment 2 Heiko Tietze 2020-03-02 17:05:48 UTC
(In reply to sdc.blanco from comment #0)
> 1.  Name information is not shown anywhere (e.g., in Navigator). 

The identification of objects or attributes is done by the user via label. You set Grey20 as background color not the exact RGB value. The same for hatches.

> 2.  If "rename" is removed, then seems better to move "Delete" into the
> dialog box.

Rename and Delete are important functions for user-defined attributes. Wouldn't remove any.

> 3. If "names" are supposed to be useful, then probably some more UI is
> needed.

Useful yes but not so important to occupy precious space. Reasoning should have been done here https://design.blog.documentfoundation.org/2015/12/22/area-fill-options-made-consistent/

(In reply to sdc.blanco from comment #1)
> So maybe this is a "documentation" problem? 

Up to the documentation team.
Comment 3 sdc.blanco 2020-03-07 15:13:53 UTC
bug #130928, comment 12 illustrates need for help information.
Comment 4 Regina Henschel 2020-03-08 00:03:35 UTC
The name of the Hatch style is shown as tooltip to the user. The name is written to the file and the name is accessible via published API. So no, it cannot be removed.
Comment 5 sdc.blanco 2020-03-09 23:59:26 UTC
(In reply to Heiko Tietze from comment #2)
> > 3. If "names" are supposed to be useful, then probably some more UI is
> > needed.
> 
> Useful yes but not so important to occupy precious space. Reasoning should
> have been done here
> https://design.blog.documentfoundation.org/2015/12/22/area-fill-options-made-
> consistent/
fwiw, I could not see that this issue was discussed in the design blog.  
Also interesting to note bug #130928, comment 12, where a developer reports discovering how to delete presets -- which suggests at least a documentation need.
Comment 6 Commit Notification 2020-03-18 12:05:18 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/b20290463c2aee8a8fa5a8a38a42b5ccde9c2aed

tdf#131036 add note to Hatch help page about "rename" and "delete"
Comment 7 Commit Notification 2020-03-19 02:23:40 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/b6ece13cb50762fefce07a3d85f475721083fbff

tdf#131036 add note on "rename" and "delete" and update gradient help
Comment 8 Heiko Tietze 2020-03-23 10:10:45 UTC
(In reply to Commit Notification from comment #7)
> Seth Chaiklin committed a patch...

Is the issue fixed now?
Comment 9 sdc.blanco 2020-03-23 13:20:26 UTC
(In reply to Heiko Tietze from comment #8)
> Is the issue fixed now?

No.  "bitmap" and "pattern" still need this point addressed.
Comment 10 Buovjaga 2020-06-23 09:59:28 UTC
(In reply to sdc.blanco from comment #9)
> (In reply to Heiko Tietze from comment #8)
> > Is the issue fixed now?
> 
> No.  "bitmap" and "pattern" still need this point addressed.

Does this help: https://gerrit.libreoffice.org/c/help/+/96911